microsoft.aspnetcore.all vulnerabilities

Provides a default set of APIs for building an ASP.NET Core application, and also includes API for third-party integrations with ASP.NET Core. This package requires the ASP.NET Core runtime. This runtime is installed by the .NET Core SDK, or can be acquired separately using installers available at https://aka.ms/dotnet-download.

Latest version: 2.2.6

Licenses detected

Continuously find & fix vulnerabilities like these in your dependencies. Test and protect your applications

Direct Vulnerabilities

Known vulnerabilities in the microsoft.aspnetcore.all package. This does not include vulnerabilities belonging to this package’s dependencies.

Vulnerability Vulnerable versions Snyk patch Published
  • M
Open Redirect
[2.1.0, 2.1.12),[2.2.0, 2.2.6) Not available 10 Jul, 2019
  • M
Denial of Service (DoS)
[2.2.0,2.2.1),[2.1.0,2.1.7) Not available 10 Jan, 2019
  • H
Denial of Service (DoS)
[2.1.0 ,2.1.4) Not available 20 Sep, 2018
  • M
Denial of Service (DoS)
[,2.0.9), [2.1.0, 2.1.2) Not available 26 Jul, 2018
  • H
Denial of Service (DoS)
[,2.0.3),[2.1.0-preview1-final,2.1.0-rc1-final) Not available 09 May, 2018
  • H
Open Redirect
[2,2.0.3) Not available 20 Nov, 2017